Search for issues across the repositories that the user has access to
const url = 'https://gitea.example.com/api/v1/repos/issues/search';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/issues/search \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Whether issue is open or closed
Comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
Comma separated list of milestone names. Fetch only issues that have any of this milestones. Non existent are discarded
Search string
Repository to prioritize in the results
Filter by type (issues / pulls) if set
Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
Filter (issues / pulls) assigned to you, default is false
Filter (issues / pulls) created by you, default is false
Filter (issues / pulls) mentioning you, default is false
Filter pulls requesting your review, default is false
Filter pulls reviewed by you, default is false
Filter by owner
Filter by team (requires organization owner parameter to be provided)
Page number of results to return (1-based)
Page size of results
Responses
Section titled “Responses”IssueList
Issue represents an issue in a repository
object
Attachment a generic attachment
object
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
The user’s id
Is the user an administrator
User locale
The user’s location
The user’s username
The user’s authentication sign-in name.
Is user login prohibited
Is user restricted
User visibility level option: public, limited, private
The user’s website
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
The user’s id
Is the user an administrator
User locale
The user’s location
The user’s username
The user’s authentication sign-in name.
Is user login prohibited
Is user restricted
User visibility level option: public, limited, private
The user’s website
Label a label to an issue or a pr
object
Milestone milestone is a collection of issues on one repository
object
StateType issue state type
PullRequestMeta PR info if an issue is a PR
object
RepositoryMeta basic repository information
object
StateType issue state type
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
The user’s id
Is the user an administrator
User locale
The user’s location
The user’s username
The user’s authentication sign-in name.
Is user login prohibited
Is user restricted
User visibility level option: public, limited, private
The user’s website
Example
[ { "assignee": { "login_name": "empty" }, "assignees": [ { "login_name": "empty" } ], "labels": [ { "color": "00aabb", "exclusive": false, "is_archived": false } ], "user": { "login_name": "empty" } }]